Payment batches & settlement
Get All Settlements For Org
Name and signature indicate it gets all settlements for org
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-all-settlements-for-org?orgID=%3CorgID%3E' \
--header 'Authorization: Bearer <token>'{
"settlements": [
{
"taxReferenceID": "string",
"recipientName": "string",
"recipientID": "string",
"status": "QUEUED",
"transactionID": "string",
"providerTransactionID": "string",
"sourceCustodyWalletID": "string",
"transactionHash": "string",
"destinationAddress": "string",
"amount": "string",
"tokenSymbol": "string",
"createdAt": "string",
"lastStatusChangeAt": "string",
"error": {
"code": "string",
"message": "string",
"httpStatus": 0
},
"providerName": "SAFE"
}
],
"total": 0,
"page": 0,
"pageSize": 0,
"hasMore": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstringrequiredstatusFilterstringAvailable options: pending, completed, all
Default: "all"
pageintegerAllowed: at least 1
Default: 1
pageSizeintegerAllowed: 1 to 5000
Default: 25
Response
200Successful response
settlementsobject | object | object[]requiredShow child attributes
sourceanyrequiredtaxReferenceIDstringrequiredrecipientNamestringrequiredrecipientIDstring | nullrequiredstatusstringrequiredAvailable options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED
transactionIDstringrequiredproviderTransactionIDstringsourceCustodyWalletIDstringtransactionHashstringdestinationAddressstringrequiredamountstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
tokenSymbolstringcreatedAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
lastStatusChangeAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
errorobjectShow child attributes
codestringmessagestringhttpStatusnumberproviderNamestring | string | anyrequiredtotalintegerrequiredpageintegerrequiredpageSizeintegerrequiredhasMorebooleanrequired